import * as __WEBPACK_EXTERNAL_MODULE_dayjs__ from "dayjs";
import * as __WEBPACK_EXTERNAL_MODULE_vitest__ from "vitest";
import * as __WEBPACK_EXTERNAL_MODULE__util_mjs__ from "../util.mjs";
describe('mapRangePicker', ()=>{
    it('should work with showTime=false, gmt=true, utc=true', ()=>{
        const props = {
            showTime: false,
            gmt: true,
            utc: true,
            onChange: __WEBPACK_EXTERNAL_MODULE_vitest__.vi.fn()
        };
        const { onChange } = (0, __WEBPACK_EXTERNAL_MODULE__util_mjs__.mapRangePicker)()(props);
        const value = [
            __WEBPACK_EXTERNAL_MODULE_dayjs__["default"].utc('2023-01-01T00:00:00.000Z'),
            __WEBPACK_EXTERNAL_MODULE_dayjs__["default"].utc('2023-01-02T00:00:00.000Z')
        ];
        onChange(value);
        expect(props.onChange).toHaveBeenCalledWith([
            '2023-01-01T00:00:00.000Z',
            '2023-01-02T23:59:59.999Z'
        ]);
    });
    it('should work with showTime=true, gmt=true, utc=true', ()=>{
        const props = {
            showTime: true,
            gmt: true,
            utc: true,
            onChange: __WEBPACK_EXTERNAL_MODULE_vitest__.vi.fn()
        };
        const { onChange } = (0, __WEBPACK_EXTERNAL_MODULE__util_mjs__.mapRangePicker)()(props);
        const value = [
            __WEBPACK_EXTERNAL_MODULE_dayjs__["default"].utc('2023-01-01T00:00:00.000Z'),
            __WEBPACK_EXTERNAL_MODULE_dayjs__["default"].utc('2023-01-02T00:00:00.000Z')
        ];
        onChange(value);
        expect(props.onChange).toHaveBeenCalledWith([
            '2023-01-01T00:00:00.000Z',
            '2023-01-02T00:00:00.000Z'
        ]);
    });
    it('should work with showTime=false, gmt=true, utc=false', ()=>{
        const props = {
            showTime: false,
            gmt: true,
            utc: false,
            onChange: __WEBPACK_EXTERNAL_MODULE_vitest__.vi.fn()
        };
        const { onChange } = (0, __WEBPACK_EXTERNAL_MODULE__util_mjs__.mapRangePicker)()(props);
        const value = [
            __WEBPACK_EXTERNAL_MODULE_dayjs__["default"].utc('2023-01-01T00:00:00.000Z'),
            __WEBPACK_EXTERNAL_MODULE_dayjs__["default"].utc('2023-01-02T00:00:00.000Z')
        ];
        onChange(value);
        expect(props.onChange).toHaveBeenCalledWith([
            '2023-01-01',
            '2023-01-02'
        ]);
    });
});
